﻿
$ErrorActionPreference = 'Stop';

$packageName= 'dotnetcore-sdk'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.visualstudio.microsoft.com/download/pr/867c66ab-fcf1-4e76-9167-bc2365868e93/2eff26fcd5c097c12c1827556b6daec5/dotnet-sdk-2.1.611-win-x86.exe'
$checksum   = '6a65de3a01ff0ff64246efe4e21f2fc45dbc4f105873e011efe46d0ea9cba0da1339d7c592d37b5c6c7728a5286b2a2f99ffb295de7c65c4863a1614e5f94c30'
$url64      = 'https://download.visualstudio.microsoft.com/download/pr/19351247-1b7b-478f-928c-386060a9bcab/fa3de275bd71ab470885dcdef6a2bfe2/dotnet-sdk-2.1.611-win-x64.exe'
$checksum64 = '6bc97922a932d280174af29a639a38d0cc06364cb1f77af1df2dc8b74ef235b01d8af6187d277bdb414108e8b6a6f512d155d0f9777faf78c79bd0a27168b418'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = "/install /quiet /norestart /log `"$env:TEMP\$($packageName)\$($packageName).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'dotnet-core*'
  checksum      = $checksum
  checksumType  = 'SHA512'
  checksum64    = $checksum64
}

Install-ChocolateyPackage @packageArgs
